Firefox-Erweiterungen ausgeschaltet bei älterer Version

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Firefox-Erweiterungen ausgeschaltet bei älterer Version

Satlberger Peter
Hallo,

ich benutze Firefox 56.0.2 weil ich einige Addons benötige, die in den
neueren Versionen nicht mehr laufen. Natürlich hat es mich gestern
Abend ebenfalls erwischt. Weder die Einstellung:
 
        xpinstall.signatures.required=false

noch die Installation des Hotfixes

        [hidden email]

hat geholfen. Da für mich ein Update auf die neueste Version (wegen der
Addons) nicht möglich ist, stelle ich mir die Frage, was nun? Gibt es
jemanden mit einer Version < 57, der für das Zertifikatsproblem eine
Lösung/Workaround hat?

Grüße
Peter

Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Manfred Schmitt-48
Satlberger Peter schrieb:
 
> hat geholfen. Da für mich ein Update auf die neueste Version (wegen der
> Addons) nicht möglich ist, stelle ich mir die Frage, was nun? Gibt es
> jemanden mit einer Version < 57, der für das Zertifikatsproblem eine
> Lösung/Workaround hat?
>
https://www.heise.de/forum/posting-34434701/show/
Oder
https://www.heise.de/forum/posting-34437812/show/

Und wech,
Manne

Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Satlberger Peter
Hallo Manne,
   
vielen Dank für die zwei Links, aber den Workaround von:
 
> https://www.heise.de/forum/posting-34434701/show/
hab' ich gestern schon bei mozilla gefunden -
zusätzlich wurde empfohlen die Datei auf Immutable zu
setzen. - Damit wurden die blockierten Addons dann
grün und sollten nach einem Restart aktiv werden
(ein Button zum Deaktivieren war nicht vorhanden). -
Also Restart - mit dem Ergebnis, dass der alte Zustand
wieder da war und FF eine Datei extension-settings.js
erzeugt hat.

> Oder
> https://www.heise.de/forum/posting-34437812/show/
hab' ich jetzt gerade versucht. So wie es aussieht
bin ich zu blöd dazu. - Ich komme bis zur Konsole,
kann aber nichts einfügen. Wenn ich versuche, unten in
der letzten Zeile etwas einzufügen bekomme ich eine
Warnung - eingefügt wird nichts.

Grüße
Peter

Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Manfred Schmitt-48
Satlberger Peter schrieb:
 
> > Oder
> > https://www.heise.de/forum/posting-34437812/show/ 
> hab' ich jetzt gerade versucht. So wie es aussieht
> bin ich zu blöd dazu. - Ich komme bis zur Konsole,
> kann aber nichts einfügen. Wenn ich versuche, unten in
> der letzten Zeile etwas einzufügen bekomme ich eine
> Warnung - eingefügt wird nichts.
>
Ah, das war ein repost (von 'nem repost), ich meinte:
https://www.heise.de/forum/posting-34434851/show/
Hier kriege ich auch mit devtools.chrome.enabled aber trotzdem nur
Promise { <state>: "rejected", <reason>: Exception }
zurueck. Laut https://www.heise.de/forum/posting-34438512/show/
soll das aber auch nicht unueblich sein, mal klappt es nicht, etwas
spaeter dann doch, aha.

Und wech,
Manne

Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Satlberger Peter
Hallo Manne,

mit dem devtools.chrome.enabled auf true gesetzt kann ich
die Funktion zwar einfügen - aber was dann?

Ich hab's auf der Addon-Seite (Strg-Shift-a & Strg-Shift-k)
und auf einer leeren Seite mit  (Strg-Shift-j) versucht.
Reaktion Null. Ein paar Minuten Warten verändert nichts,
auch ein Reload der Seite ändert nichts. - Irgendetwas fehlt
noch - aber ich hab' keine Ahnung was.

(Anm.: Ich hab weder von HTML noch von JS die leiseste
Ahnung, und von den Entwickler-Tools die im FF verbaut
sind, natürlich auch nicht. D.h. ich bewege mich hier
bei dem Fix im Blindflug).

Viele Grüße
Peter

Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Jens Schüßler-2
* Satlberger Peter <[hidden email]> wrote:
>
> (Anm.: Ich hab weder von HTML noch von JS die leiseste
> Ahnung, und von den Entwickler-Tools die im FF verbaut
> sind, natürlich auch nicht. D.h. ich bewege mich hier
> bei dem Fix im Blindflug).


Du befindest dich mit deiner ganzen Verwendung von Firefox 56
im absoluten sicherheitstechnischen Blindflug. Dazu kannst du hier
keine Flugtips erwarten.

>ich benutze Firefox 56.0.2 weil ich einige Addons benötige, die in den
>neueren Versionen nicht mehr laufen.

Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Hilmar Preuße
In reply to this post by Satlberger Peter
On 06.05.19 00:53, Satlberger Peter wrote:

Moin,

> ich benutze Firefox 56.0.2 weil ich einige Addons benötige, die in den
> neueren Versionen nicht mehr laufen.
>  
Genau aus dem Grund hatte ich bei mir auch mal Upgrade-Sperre.
Irgendwann habe ich mich mal hingesetzt und heraus gefunden, daß für
alle AddOns Ersatz gab, die auch in neuen Versionen funktionieren.
Welche AddOns sind das denn, die so wichtig sind?

H.
--
sigfault
#206401 http://counter.li.org


signature.asc (981 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Firefox-Erweiterungen ausgeschaltet bei älterer Version

Satlberger Peter
Hallo H.

> Genau aus dem Grund hatte ich bei mir auch mal Upgrade-Sperre.
Ja, das ist der übliche Weg wenn man von Addon's abhängig ist.
Da gibt's dann das Update immer dann, wenn die Addon's da sind.

> Irgendwann habe ich mich mal hingesetzt und heraus gefunden, daß für
> alle AddOns Ersatz gab, die auch in neuen Versionen funktionieren.
> Welche AddOns sind das denn, die so wichtig sind?
Das gilt leider nicht für Scrapbook. Ich benutz' das schon seit
einer gefühlten Ewigkeit und bin mittlerweile bei der dritten
Generation (Scrapbook -> Scrapbook Pro -> Scrapbook X) angelangt.
Ich hab vor einiger Zeit schon versucht einen zweiten FF zum Testen
in /opt zu installieren und dann die Daten zu importieren. - Leider
Fehlanzeige. - Kein Import und keine Konvertierung. Da ich die Daten
aber brauche, bin ich auf das Plugin angewiesen.

Für alle anderen Addons gibt's Ersatz - ja - aber bei diesem einen
dauert es offensichtlich noch einige Zeit.

Viele Grüße
Peter

signature.asc (501 bytes) Download Attachment